RPM2ARCHIVE(1)

NAMN
rpm2archive — Skapa ett tar- eller cpio-arkiv från ett paket av typen RPM Package Manager (RPM)

SYNOPSIS
rpm2archive [flaggor] [PAKETFIL] …

BESKRIVNING
rpm2archive konverterar RPM-paketfiler till andra arkivformat.

Om standard ut är en normal fil eller ett rör skrivs arkivet till standard ut. Om standard ut är en terminal skrivs utdata till en fil med samma namn, med ett suffix .tgz eller .cpio.gz tillagt när det är komprimerat, eller .tar eller .cpio annars beroende på formatet. Utdatan är komprimerad i formatet gzip(1) som standard.

rpm2archive verifierar inte signaturer på paketnivå eller kontrollsummor, men den verifierar kontrollsummor per fil.

Stödjer RPM-paketformat 3, 4 och 6.

ARGUMENT
PAKETFIL
    Ett binär- eller käll-RPM-paket.

Om inga argument ges, eller ett bindestreck (-) läses som ett argument läses data från standard in.

FLAGGOR
-n, --nocompression
    Generera ett okomprimerat arkiv. I filskaparläget använd .tar som en ändelse på filnamnet.

-f, --format=<FORMAT>
    Generera arkiv i det angivna FORMATET:
    •   pax: Begränsat Portable Archive Exchange så som det används av tar(1) (standard)
    •   cpio: Det ”nya” ASCII-formatet för cpio(5). Observera att detta format har en gräns på 4GB på enskilda filers storlek.

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL
rpm2archive glint-1.0-1.i386.rpm | tar -xvz
    Extrahera paketinnehållet i glint-1.0-1.i386.rpm med tar(1).

rpm2archive --nocompression --format=cpio glint-1.0-1.i386.rpm | cpio -idv
    Extrahera paketinnehållet i glint-1.0-1.i386.rpm som okomprimerad cpio(5), kompatibel med utdata från rpm2cpio(1).

rpm2archive glint-1.0-1.i386.rpm ; tar -xvz glint-1.0-1.i386.rpm.tgz
    Extrahera paketinnehållet i glint-1.0-1.i386.rpm till ett arkiv som heter glint-1.0-1.i386.rpm.tgz och extrahera det skrivna arkivet med tar(1).

cat glint-1.0-1.i386.rpm | rpm2archive - | tar -tvz
    Mata paketet glint-1.0-1.i386.rpm in i rpm2archive via standard in och lista innehållet med tar(1).

SE ÄVEN
rpm2cpio(1), rpm(8)

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.